import math
import random

def main():
    pi = math.sqrt(6.0 / cesaro_valoszinuseg())
    print("pi = {:5.5}".format(pi))

def cesaro_valoszinuseg():
    """P meghatározása kísérletezéssel"""
    db = 0;
    for i in range(0, 1000):
        if cesaro_kiserlet():   # elvégzi a kísérletet
            db += 1
    return db / 1000

def cesaro_kiserlet():
    """A kísérlet: a legnagyobb közös osztójuk 1?"""
    return lnko(random.randint(1, 1000),
                random.randint(1, 1000)) == 1

def lnko(a, b):
    """Visszatér két szám legnagyobb közös osztójával."""
    while b != 0:
        t = b
        b = a%b
        a = t
    return a

main()
